Package io.flutter.view

# Class FlutterView

java.lang.Object
android.view.View
android.view.SurfaceView
io.flutter.view.FlutterView

All Implemented Interfaces:
  `Drawable.Callback`, `AccessibilityEventSource`, `KeyEvent.Callback`, `KeyboardManager.ViewDelegate`, `BinaryMessenger`, `io.flutter.plugin.mouse.MouseCursorPlugin.MouseCursorViewDelegate`, `TextureRegistry`

@Deprecated public class FlutterView extends SurfaceView implements BinaryMessenger, TextureRegistry, io.flutter.plugin.mouse.MouseCursorPlugin.MouseCursorViewDelegate, KeyboardManager.ViewDelegate
Deprecated.
`FlutterView` is the new API that now replaces this class. See https://flutter.dev/go/android-project-migration for more migration details.
Deprecated Android view containing a Flutter app.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `FlutterView.FirstFrameListener`
  Deprecated.
  Listener will be called on the Android UI thread once when Flutter renders the first frame.
  `static interface`
  `FlutterView.Provider`
  Deprecated.
  Interface for those objects that maintain and expose a reference to a `FlutterView` (such as a full-screen Flutter activity).

  ## Nested classes/interfaces inherited from class android.view.View

  `View.AccessibilityDelegate, View.BaseSavedState, View.DragShadowBuilder, View.MeasureSpec, View.OnApplyWindowInsetsListener, View.OnAttachStateChangeListener, View.OnCapturedPointerListener, View.OnClickListener, View.OnContextClickListener, View.OnCreateContextMenuListener, View.OnDragListener, View.OnFocusChangeListener, View.OnGenericMotionListener, View.OnHoverListener, View.OnKeyListener, View.OnLayoutChangeListener, View.OnLongClickListener, View.OnScrollChangeListener, View.OnSystemUiVisibilityChangeListener, View.OnTouchListener, View.OnUnhandledKeyEventListener`

  ## Nested classes/interfaces inherited from interface io.flutter.plugin.common.BinaryMessenger

  `BinaryMessenger.BinaryMessageHandler, BinaryMessenger.BinaryReply, BinaryMessenger.TaskQueue, BinaryMessenger.TaskQueueOptions`

  ## Nested classes/interfaces inherited from interface io.flutter.view.TextureRegistry

  `TextureRegistry.GLTextureConsumer, TextureRegistry.ImageConsumer, TextureRegistry.ImageTextureEntry, TextureRegistry.OnFrameConsumedListener, TextureRegistry.OnTrimMemoryListener, TextureRegistry.SurfaceProducer, TextureRegistry.SurfaceTextureEntry, TextureRegistry.TextureEntry`

- ## Field Summary

  ### Fields inherited from class android.view.SurfaceView

  `SURFACE_LIFECYCLE_DEFAULT, SURFACE_LIFECYCLE_FOLLOWS_ATTACHMENT, SURFACE_LIFECYCLE_FOLLOWS_VISIBILITY`

  ### Fields inherited from class android.view.View

  `ACCESSIBILITY_DATA_SENSITIVE_AUTO, ACCESSIBILITY_DATA_SENSITIVE_NO, ACCESSIBILITY_DATA_SENSITIVE_YES, ACCESSIBILITY_LIVE_REGION_ASSERTIVE, ACCESSIBILITY_LIVE_REGION_NONE, ACCESSIBILITY_LIVE_REGION_POLITE, ALPHA, AUTOFILL_FLAG_INCLUDE_NOT_IMPORTANT_VIEWS, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_DATE, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_DAY, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_MONTH, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_YEAR, AUTOFILL_HINT_CREDIT_CARD_NUMBER, AUTOFILL_HINT_CREDIT_CARD_SECURITY_CODE, AUTOFILL_HINT_EMAIL_ADDRESS, AUTOFILL_HINT_NAME, AUTOFILL_HINT_PASSWORD, AUTOFILL_HINT_PHONE, AUTOFILL_HINT_POSTAL_ADDRESS, AUTOFILL_HINT_POSTAL_CODE, AUTOFILL_HINT_USERNAME, AUTOFILL_TYPE_DATE, AUTOFILL_TYPE_LIST, AUTOFILL_TYPE_NONE, AUTOFILL_TYPE_TEXT, AUTOFILL_TYPE_TOGGLE, CONTENT_SENSITIVITY_AUTO, CONTENT_SENSITIVITY_NOT_SENSITIVE, CONTENT_SENSITIVITY_SENSITIVE, DRAG_FLAG_ACCESSIBILITY_ACTION, DRAG_FLAG_GLOBAL, DRAG_FLAG_GLOBAL_PERSISTABLE_URI_PERMISSION, DRAG_FLAG_GLOBAL_PREFIX_URI_PERMISSION, DRAG_FLAG_GLOBAL_SAME_APPLICATION, DRAG_FLAG_GLOBAL_URI_READ, DRAG_FLAG_GLOBAL_URI_WRITE, DRAG_FLAG_OPAQUE, DRAG_FLAG_START_INTENT_SENDER_ON_UNHANDLED_DRAG, DRAWING_CACHE_QUALITY_AUTO, DRAWING_CACHE_QUALITY_HIGH, DRAWING_CACHE_QUALITY_LOW, EMPTY_STATE_SET, ENABLED_FOCUSED_SELECTED_STATE_SET, ENABLED_FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, ENABLED_FOCUSED_STATE_SET, ENABLED_FOCUSED_WINDOW_FOCUSED_STATE_SET, ENABLED_SELECTED_STATE_SET, ENABLED_SELECTED_WINDOW_FOCUSED_STATE_SET, ENABLED_STATE_SET, ENABLED_WINDOW_FOCUSED_STATE_SET, FIND_VIEWS_WITH_CONTENT_DESCRIPTION, FIND_VIEWS_WITH_TEXT, FOCUS_BACKWARD, FOCUS_DOWN, FOCUS_FORWARD, FOCUS_LEFT, FOCUS_RIGHT, FOCUS_UP, FOCUSABLE, FOCUSABLE_AUTO, FOCUSABLES_ALL, FOCUSABLES_TOUCH_MODE, FOCUSED_SELECTED_STATE_SET, FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, FOCUSED_STATE_SET, FOCUSED_WINDOW_FOCUSED_STATE_SET, GONE, HAPTIC_FEEDBACK_ENABLED, IMPORTANT_FOR_ACCESSIBILITY_AUTO, IMPORTANT_FOR_ACCESSIBILITY_NO, IMPORTANT_FOR_ACCESSIBILITY_NO_HIDE_DESCENDANTS, IMPORTANT_FOR_ACCESSIBILITY_YES, IMPORTANT_FOR_AUTOFILL_AUTO, IMPORTANT_FOR_AUTOFILL_NO, IMPORTANT_FOR_AUTOFILL_NO_EXCLUDE_DESCENDANTS, IMPORTANT_FOR_AUTOFILL_YES, IMPORTANT_FOR_AUTOFILL_YES_EXCLUDE_DESCENDANTS, IMPORTANT_FOR_CONTENT_CAPTURE_AUTO, IMPORTANT_FOR_CONTENT_CAPTURE_NO, IMPORTANT_FOR_CONTENT_CAPTURE_NO_EXCLUDE_DESCENDANTS, IMPORTANT_FOR_CONTENT_CAPTURE_YES, IMPORTANT_FOR_CONTENT_CAPTURE_YES_EXCLUDE_DESCENDANTS, INVISIBLE, KEEP_SCREEN_ON, LAYER_TYPE_HARDWARE, LAYER_TYPE_NONE, LAYER_TYPE_SOFTWARE, LAYOUT_DIRECTION_INHERIT, LAYOUT_DIRECTION_LOCALE, LAYOUT_DIRECTION_LTR, LAYOUT_DIRECTION_RTL, MEASURED_HEIGHT_STATE_SHIFT, MEASURED_SIZE_MASK, MEASURED_STATE_MASK, MEASURED_STATE_TOO_SMALL, NO_ID, NOT_FOCUSABLE, OVER_SCROLL_ALWAYS, OVER_SCROLL_IF_CONTENT_SCROLLS, OVER_SCROLL_NEVER, PRESSED_ENABLED_FOCUSED_SELECTED_STATE_SET, PRESSED_ENABLED_FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_ENABLED_FOCUSED_STATE_SET, PRESSED_ENABLED_FOCUSED_WINDOW_FOCUSED_STATE_SET, PRESSED_ENABLED_SELECTED_STATE_SET, PRESSED_ENABLED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_ENABLED_STATE_SET, PRESSED_ENABLED_WINDOW_FOCUSED_STATE_SET, PRESSED_FOCUSED_SELECTED_STATE_SET, PRESSED_FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_FOCUSED_STATE_SET, PRESSED_FOCUSED_WINDOW_FOCUSED_STATE_SET, PRESSED_SELECTED_STATE_SET, PRESSED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_STATE_SET, PRESSED_WINDOW_FOCUSED_STATE_SET, REQUESTED_FRAME_RATE_CATEGORY_DEFAULT, REQUESTED_FRAME_RATE_CATEGORY_HIGH, REQUESTED_FRAME_RATE_CATEGORY_LOW, REQUESTED_FRAME_RATE_CATEGORY_NO_PREFERENCE, REQUESTED_FRAME_RATE_CATEGORY_NORMAL, ROTATION, ROTATION_X, ROTATION_Y, SCALE_X, SCALE_Y, SCREEN_STATE_OFF, SCREEN_STATE_ON, SCROLL_AXIS_HORIZONTAL, SCROLL_AXIS_NONE, SCROLL_AXIS_VERTICAL, SCROLL_CAPTURE_HINT_AUTO, SCROLL_CAPTURE_HINT_EXCLUDE, SCROLL_CAPTURE_HINT_EXCLUDE_DESCENDANTS, SCROLL_CAPTURE_HINT_INCLUDE, SCROLL_INDICATOR_BOTTOM, SCROLL_INDICATOR_END, SCROLL_INDICATOR_LEFT, SCROLL_INDICATOR_RIGHT, SCROLL_INDICATOR_START, SCROLL_INDICATOR_TOP, SCROLLBAR_POSITION_DEFAULT, SCROLLBAR_POSITION_LEFT, SCROLLBAR_POSITION_RIGHT, SCROLLBARS_INSIDE_INSET, SCROLLBARS_INSIDE_OVERLAY, SCROLLBARS_OUTSIDE_INSET, SCROLLBARS_OUTSIDE_OVERLAY, SELECTED_STATE_SET, SELECTED_WINDOW_FOCUSED_STATE_SET, SOUND_EFFECTS_ENABLED, STATUS_BAR_HIDDEN, STATUS_BAR_VISIBLE, SYSTEM_UI_FLAG_FULLSCREEN, SYSTEM_UI_FLAG_HIDE_NAVIGATION, SYSTEM_UI_FLAG_IMMERSIVE, SYSTEM_UI_FLAG_IMMERSIVE_STICKY, SYSTEM_UI_FLAG_LAYOUT_FULLSCREEN, SYSTEM_UI_FLAG_LAYOUT_HIDE_NAVIGATION, SYSTEM_UI_FLAG_LAYOUT_STABLE, SYSTEM_UI_FLAG_LIGHT_NAVIGATION_BAR, SYSTEM_UI_FLAG_LIGHT_STATUS_BAR, SYSTEM_UI_FLAG_LOW_PROFILE, SYSTEM_UI_FLAG_VISIBLE, SYSTEM_UI_LAYOUT_FLAGS, TEXT_ALIGNMENT_CENTER, TEXT_ALIGNMENT_GRAVITY, TEXT_ALIGNMENT_INHERIT, TEXT_ALIGNMENT_TEXT_END, TEXT_ALIGNMENT_TEXT_START, TEXT_ALIGNMENT_VIEW_END, TEXT_ALIGNMENT_VIEW_START, TEXT_DIRECTION_ANY_RTL, TEXT_DIRECTION_FIRST_STRONG, TEXT_DIRECTION_FIRST_STRONG_LTR, TEXT_DIRECTION_FIRST_STRONG_RTL, TEXT_DIRECTION_INHERIT, TEXT_DIRECTION_LOCALE, TEXT_DIRECTION_LTR, TEXT_DIRECTION_RTL, TRANSLATION_X, TRANSLATION_Y, TRANSLATION_Z, VIEW_LOG_TAG, VISIBLE, WINDOW_FOCUSED_STATE_SET, X, Y, Z`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlutterView(Context context)`
  Deprecated.
  `FlutterView(Context context, AttributeSet attrs)`
  Deprecated.
  `FlutterView(Context context, AttributeSet attrs, FlutterNativeView nativeView)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addActivityLifecycleListener(ActivityLifecycleListener listener)`
  Deprecated.
  `void`
  `addFirstFrameListener(FlutterView.FirstFrameListener listener)`
  Deprecated.
  Provide a listener that will be called once when the FlutterView renders its first frame to the underlaying SurfaceView.
  `void`
  `autofill(SparseArray<AutofillValue> values)`
  Deprecated.
  `void`
  `cancelBackGesture()`
  Deprecated.
  `boolean`
  `checkInputConnectionProxy(View view)`
  Deprecated.
  `void`
  `commitBackGesture()`
  Deprecated.
  `TextureRegistry.ImageTextureEntry`
  `createImageTexture()`
  Deprecated.
  Creates and registers a texture managed by the Flutter engine.
  `TextureRegistry.SurfaceProducer`
  `createSurfaceProducer()`
  Deprecated.
  Creates and registers a SurfaceProducer texture managed by the Flutter engine.
  `TextureRegistry.SurfaceTextureEntry`
  `createSurfaceTexture()`
  Deprecated.
  Creates and registers a SurfaceTexture managed by the Flutter engine.
  `void`
  `destroy()`
  Deprecated.
  `FlutterNativeView`
  `detach()`
  Deprecated.
  `void`
  `disableBufferingIncomingMessages()`
  Deprecated.
  Disables the ability to queue messages received from Dart.
  `void`
  `disableTransparentBackground()`
  Deprecated.
  Reverts this back to the `SurfaceView` defaults, at the back of its window and opaque.
  `boolean`
  `dispatchKeyEvent(KeyEvent event)`
  Deprecated.
  `void`
  `enableBufferingIncomingMessages()`
  Deprecated.
  Enables the ability to queue messages received from Dart.
  `AccessibilityNodeProvider`
  `getAccessibilityNodeProvider()`
  Deprecated.
  `BinaryMessenger`
  `getBinaryMessenger()`
  Deprecated.
  Returns a `BinaryMessenger` to send platform messages with.
  `Bitmap`
  `getBitmap()`
  Deprecated.
  Return the most recent frame as a bitmap.
  `DartExecutor`
  `getDartExecutor()`
  Deprecated.
  `FlutterNativeView`
  `getFlutterNativeView()`
  Deprecated.
  `String`
  `getLookupKeyForAsset(String asset)`
  Deprecated.
  `String`
  `getLookupKeyForAsset(String asset, String packageName)`
  Deprecated.
  `FlutterPluginRegistry`
  `getPluginRegistry()`
  Deprecated.
  `PointerIcon`
  `getSystemPointerIcon(int type)`
  Deprecated.
  Gets a system pointer icon object for the given `type`.
  `boolean`
  `hasRenderedFirstFrame()`
  Deprecated.
  Returns true if the Flutter experience associated with this `FlutterView` has rendered its first frame, or false otherwise.
  `BinaryMessenger.TaskQueue`
  `makeBackgroundTaskQueue(BinaryMessenger.TaskQueueOptions options)`
  Deprecated.
  Creates a TaskQueue that executes the tasks serially on a background thread.
  `final WindowInsets`
  `onApplyWindowInsets(WindowInsets insets)`
  Deprecated.
  `protected void`
  `onAttachedToWindow()`
  Deprecated.
  `protected void`
  `onConfigurationChanged(Configuration newConfig)`
  Deprecated.
  `InputConnection`
  `onCreateInputConnection(EditorInfo outAttrs)`
  Deprecated.
  `protected void`
  `onDetachedFromWindow()`
  Deprecated.
  `void`
  `onFirstFrame()`
  Deprecated.
  `boolean`
  `onGenericMotionEvent(MotionEvent event)`
  Deprecated.
  Invoked by Android when a generic motion event occurs, e.g., joystick movement, mouse hover, track pad touches, scroll wheel movements, etc.
  `boolean`
  `onHoverEvent(MotionEvent event)`
  Deprecated.
  `void`
  `onMemoryPressure()`
  Deprecated.
  `void`
  `onPause()`
  Deprecated.
  `void`
  `onPostResume()`
  Deprecated.
  `void`
  `onProvideAutofillVirtualStructure(ViewStructure structure, int flags)`
  Deprecated.
  `protected void`
  `onSizeChanged(int width, int height, int oldWidth, int oldHeight)`
  Deprecated.
  `void`
  `onStart()`
  Deprecated.
  `void`
  `onStop()`
  Deprecated.
  `boolean`
  `onTextInputKeyEvent(KeyEvent keyEvent)`
  Deprecated.
  Send a `KeyEvent` that is not handled by the keyboard responders to the text input system.
  `boolean`
  `onTouchEvent(MotionEvent event)`
  Deprecated.
  `void`
  `popRoute()`
  Deprecated.
  `void`
  `pushRoute(String route)`
  Deprecated.
  `void`
  `redispatch(KeyEvent keyEvent)`
  Deprecated.
  Send a `KeyEvent` that is not handled by Flutter back to the platform.
  `TextureRegistry.SurfaceTextureEntry`
  `registerSurfaceTexture(SurfaceTexture surfaceTexture)`
  Deprecated.
  Registers a SurfaceTexture managed by the Flutter engine.
  `void`
  `removeFirstFrameListener(FlutterView.FirstFrameListener listener)`
  Deprecated.
  Remove an existing first frame listener.
  `void`
  `runFromBundle(FlutterRunArguments args)`
  Deprecated.
  `void`
  `send(String channel, ByteBuffer message)`
  Deprecated.
  Sends a binary message to the Flutter application.
  `void`
  `send(String channel, ByteBuffer message, BinaryMessenger.BinaryReply callback)`
  Deprecated.
  Sends a binary message to the Flutter application, optionally expecting a reply.
  `void`
  `setInitialRoute(String route)`
  Deprecated.
  `void`
  `setMessageHandler(String channel, BinaryMessenger.BinaryMessageHandler handler)`
  Deprecated.
  Registers a handler to be invoked when the Flutter application sends a message to its host platform.
  `void`
  `setMessageHandler(String channel, BinaryMessenger.BinaryMessageHandler handler, BinaryMessenger.TaskQueue taskQueue)`
  Deprecated.
  Registers a handler to be invoked when the Flutter application sends a message to its host platform.
  `void`
  `startBackGesture(BackEvent backEvent)`
  Deprecated.
  `void`
  `updateBackGestureProgress(BackEvent backEvent)`
  Deprecated.

  ### Methods inherited from class android.view.SurfaceView

  `applyTransactionToFrame, dispatchDraw, draw, gatherTransparentRegion, getHolder, getHostToken, getImportantForAccessibility, getSurfaceControl, hasOverlappingRendering, onFocusChanged, onMeasure, onSetAlpha, onWindowVisibilityChanged, setAlpha, setChildSurfacePackage, setClipBounds, setDesiredHdrHeadroom, setSecure, setSurfaceLifecycle, setVisibility, setZOrderMediaOverlay, setZOrderOnTop`

  ### Methods inherited from class android.view.View

  `addChildrenForAccessibility, addExtraDataToAccessibilityNodeInfo, addFocusables, addFocusables, addKeyboardNavigationClusters, addOnAttachStateChangeListener, addOnLayoutChangeListener, addOnUnhandledKeyEventListener, addTouchables, animate, announceForAccessibility, autofill, awakenScrollBars, awakenScrollBars, awakenScrollBars, bringToFront, buildDrawingCache, buildDrawingCache, buildLayer, callOnClick, cancelDragAndDrop, cancelLongPress, cancelPendingInputEvents, canResolveLayoutDirection, canResolveTextAlignment, canResolveTextDirection, canScrollHorizontally, canScrollVertically, clearAnimation, clearFocus, clearPendingCredentialRequest, clearViewTranslationCallback, combineMeasuredStates, computeHorizontalScrollExtent, computeHorizontalScrollOffset, computeHorizontalScrollRange, computeScroll, computeSystemWindowInsets, computeVerticalScrollExtent, computeVerticalScrollOffset, computeVerticalScrollRange, createAccessibilityNodeInfo, createContextMenu, destroyDrawingCache, dispatchApplyWindowInsets, dispatchCapturedPointerEvent, dispatchConfigurationChanged, dispatchCreateViewTranslationRequest, dispatchDisplayHint, dispatchDragEvent, dispatchDrawableHotspotChanged, dispatchFinishTemporaryDetach, dispatchGenericFocusedEvent, dispatchGenericMotionEvent, dispatchGenericPointerEvent, dispatchHoverEvent, dispatchKeyEventPreIme, dispatchKeyShortcutEvent, dispatchNestedFling, dispatchNestedPreFling, dispatchNestedPrePerformAccessibilityAction, dispatchNestedPreScroll, dispatchNestedScroll, dispatchPointerCaptureChanged, dispatchPopulateAccessibilityEvent, dispatchProvideAutofillStructure, dispatchProvideStructure, dispatchRestoreInstanceState, dispatchSaveInstanceState, dispatchScrollCaptureSearch, dispatchSetActivated, dispatchSetPressed, dispatchSetSelected, dispatchStartTemporaryDetach, dispatchSystemUiVisibilityChanged, dispatchTouchEvent, dispatchTrackballEvent, dispatchUnhandledMove, dispatchVisibilityChanged, dispatchWindowFocusChanged, dispatchWindowInsetsAnimationEnd, dispatchWindowInsetsAnimationPrepare, dispatchWindowInsetsAnimationProgress, dispatchWindowInsetsAnimationStart, dispatchWindowSystemUiVisiblityChanged, dispatchWindowVisibilityChanged, drawableHotspotChanged, drawableStateChanged, findFocus, findOnBackInvokedDispatcher, findViewById, findViewsWithText, findViewWithTag, fitSystemWindows, focusSearch, forceHasOverlappingRendering, forceLayout, generateDisplayHash, generateViewId, getAccessibilityClassName, getAccessibilityDelegate, getAccessibilityLiveRegion, getAccessibilityPaneTitle, getAccessibilityTraversalAfter, getAccessibilityTraversalBefore, getAllowedHandwritingDelegatePackageName, getAllowedHandwritingDelegatorPackageName, getAlpha, getAnimation, getAnimationMatrix, getApplicationWindowToken, getAttributeResolutionStack, getAttributeSourceResourceMap, getAutofillHints, getAutofillId, getAutofillType, getAutofillValue, getBackground, getBackgroundTintBlendMode, getBackgroundTintList, getBackgroundTintMode, getBaseline, getBottom, getBottomFadingEdgeStrength, getBottomPaddingOffset, getCameraDistance, getClipBounds, getClipBounds, getClipToOutline, getContentCaptureSession, getContentDescription, getContentSensitivity, getContext, getContextMenuInfo, getDefaultFocusHighlightEnabled, getDefaultSize, getDisplay, getDrawableState, getDrawingCache, getDrawingCache, getDrawingCacheBackgroundColor, getDrawingCacheQuality, getDrawingRect, getDrawingTime, getElevation, getExplicitStyle, getFilterTouchesWhenObscured, getFitsSystemWindows, getFocusable, getFocusables, getFocusedRect, getForeground, getForegroundGravity, getForegroundTintBlendMode, getForegroundTintList, getForegroundTintMode, getFrameContentVelocity, getGlobalVisibleRect, getGlobalVisibleRect, getHandler, getHandwritingBoundsOffsetBottom, getHandwritingBoundsOffsetLeft, getHandwritingBoundsOffsetRight, getHandwritingBoundsOffsetTop, getHandwritingDelegateFlags, getHandwritingDelegatorCallback, getHasOverlappingRendering, getHeight, getHitRect, getHorizontalFadingEdgeLength, getHorizontalScrollbarHeight, getHorizontalScrollbarThumbDrawable, getHorizontalScrollbarTrackDrawable, getId, getImportantForAutofill, getImportantForContentCapture, getKeepScreenOn, getKeyDispatcherState, getLabelFor, getLayerType, getLayoutDirection, getLayoutParams, getLeft, getLeftFadingEdgeStrength, getLeftPaddingOffset, getLocalVisibleRect, getLocationInSurface, getLocationInWindow, getLocationOnScreen, getMatrix, getMeasuredHeight, getMeasuredHeightAndState, getMeasuredState, getMeasuredWidth, getMeasuredWidthAndState, getMinimumHeight, getMinimumWidth, getNextClusterForwardId, getNextFocusDownId, getNextFocusForwardId, getNextFocusLeftId, getNextFocusRightId, getNextFocusUpId, getOnFocusChangeListener, getOutlineAmbientShadowColor, getOutlineProvider, getOutlineSpotShadowColor, getOverlay, getOverScrollMode, getPaddingBottom, getPaddingEnd, getPaddingLeft, getPaddingRight, getPaddingStart, getPaddingTop, getParent, getParentForAccessibility, getPendingCredentialCallback, getPendingCredentialRequest, getPivotX, getPivotY, getPointerIcon, getPreferKeepClearRects, getReceiveContentMimeTypes, getRequestedFrameRate, getResources, getRevealOnFocusHint, getRight, getRightFadingEdgeStrength, getRightPaddingOffset, getRootSurfaceControl, getRootView, getRootWindowInsets, getRotation, getRotationX, getRotationY, getScaleX, getScaleY, getScrollBarDefaultDelayBeforeFade, getScrollBarFadeDuration, getScrollBarSize, getScrollBarStyle, getScrollCaptureHint, getScrollIndicators, getScrollX, getScrollY, getSolidColor, getSourceLayoutResId, getStateDescription, getStateListAnimator, getSuggestedMinimumHeight, getSuggestedMinimumWidth, getSystemGestureExclusionRects, getSystemUiVisibility, getTag, getTag, getTextAlignment, getTextDirection, getTooltipText, getTop, getTopFadingEdgeStrength, getTopPaddingOffset, getTouchables, getTouchDelegate, getTransitionAlpha, getTransitionName, getTranslationX, getTranslationY, getTranslationZ, getUniqueDrawingId, getVerticalFadingEdgeLength, getVerticalScrollbarPosition, getVerticalScrollbarThumbDrawable, getVerticalScrollbarTrackDrawable, getVerticalScrollbarWidth, getViewTranslationResponse, getViewTreeObserver, getVisibility, getWidth, getWindowAttachCount, getWindowId, getWindowInsetsController, getWindowSystemUiVisibility, getWindowToken, getWindowVisibility, getWindowVisibleDisplayFrame, getX, getY, getZ, hasExplicitFocusable, hasFocus, hasFocusable, hasNestedScrollingParent, hasOnClickListeners, hasOnLongClickListeners, hasPointerCapture, hasTransientState, hasWindowFocus, inflate, invalidate, invalidate, invalidate, invalidateDrawable, invalidateOutline, isAccessibilityDataSensitive, isAccessibilityFocused, isAccessibilityHeading, isActivated, isAttachedToWindow, isAutoHandwritingEnabled, isClickable, isContentSensitive, isContextClickable, isCredential, isDirty, isDrawingCacheEnabled, isDuplicateParentStateEnabled, isEnabled, isFocusable, isFocusableInTouchMode, isFocused, isFocusedByDefault, isForceDarkAllowed, isHandwritingDelegate, isHapticFeedbackEnabled, isHardwareAccelerated, isHorizontalFadingEdgeEnabled, isHorizontalScrollBarEnabled, isHovered, isImportantForAccessibility, isImportantForAutofill, isImportantForContentCapture, isInEditMode, isInLayout, isInTouchMode, isKeyboardNavigationCluster, isLaidOut, isLayoutDirectionResolved, isLayoutRequested, isLongClickable, isNestedScrollingEnabled, isOpaque, isPaddingOffsetRequired, isPaddingRelative, isPivotSet, isPreferKeepClear, isPressed, isSaveEnabled, isSaveFromParentEnabled, isScreenReaderFocusable, isScrollbarFadingEnabled, isScrollContainer, isSelected, isShowingLayoutBounds, isShown, isSoundEffectsEnabled, isTemporarilyDetached, isTextAlignmentResolved, isTextDirectionResolved, isVerticalFadingEdgeEnabled, isVerticalScrollBarEnabled, isVisibleToUserForAutofill, jumpDrawablesToCurrentState, keyboardNavigationClusterSearch, layout, measure, mergeDrawableStates, offsetLeftAndRight, offsetTopAndBottom, onAnimationEnd, onAnimationStart, onCancelPendingInputEvents, onCapturedPointerEvent, onCheckIsTextEditor, onCreateContextMenu, onCreateDrawableState, onCreateViewTranslationRequest, onCreateVirtualViewTranslationRequests, onDisplayHint, onDragEvent, onDraw, onDrawForeground, onDrawScrollBars, onFilterTouchEventForSecurity, onFinishInflate, onFinishTemporaryDetach, onHoverChanged, onInitializeAccessibilityEvent, onInitializeAccessibilityNodeInfo, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyPreIme, onKeyShortcut, onKeyUp, onLayout, onOverScrolled, onPointerCaptureChange, onPopulateAccessibilityEvent, onProvideAutofillStructure, onProvideContentCaptureStructure, onProvideStructure, onProvideVirtualStructure, onReceiveContent, onResolvePointerIcon, onRestoreInstanceState, onRtlPropertiesChanged, onSaveInstanceState, onScreenStateChanged, onScrollCaptureSearch, onScrollChanged, onStartTemporaryDetach, onTrackballEvent, onViewTranslationResponse, onVirtualViewTranslationResponses, onVisibilityAggregated, onVisibilityChanged, onWindowFocusChanged, onWindowSystemUiVisibilityChanged, overScrollBy, performAccessibilityAction, performClick, performContextClick, performContextClick, performHapticFeedback, performHapticFeedback, performLongClick, performLongClick, performReceiveContent, playSoundEffect, post, postDelayed, postInvalidate, postInvalidate, postInvalidateDelayed, postInvalidateDelayed, postInvalidateOnAnimation, postInvalidateOnAnimation, postOnAnimation, postOnAnimationDelayed, refreshDrawableState, releasePointerCapture, removeCallbacks, removeOnAttachStateChangeListener, removeOnLayoutChangeListener, removeOnUnhandledKeyEventListener, requestApplyInsets, requestFitSystemWindows, requestFocus, requestFocus, requestFocus, requestFocusFromTouch, requestLayout, requestPointerCapture, requestRectangleOnScreen, requestRectangleOnScreen, requestUnbufferedDispatch, requestUnbufferedDispatch, requireViewById, resetPivot, resolveSize, resolveSizeAndState, restoreDefaultFocus, restoreHierarchyState, saveAttributeDataForStyleable, saveHierarchyState, scheduleDrawable, scrollBy, scrollTo, sendAccessibilityEvent, sendAccessibilityEventUnchecked, setAccessibilityDataSensitive, setAccessibilityDelegate, setAccessibilityHeading, setAccessibilityLiveRegion, setAccessibilityPaneTitle, setAccessibilityTraversalAfter, setAccessibilityTraversalBefore, setActivated, setAllowClickWhenDisabled, setAllowedHandwritingDelegatePackage, setAllowedHandwritingDelegatorPackage, setAnimation, setAnimationMatrix, setAutofillHints, setAutofillId, setAutoHandwritingEnabled, setBackground, setBackgroundColor, setBackgroundDrawable, setBackgroundResource, setBackgroundTintBlendMode, setBackgroundTintList, setBackgroundTintMode, setBottom, setCameraDistance, setClickable, setClipToOutline, setContentCaptureSession, setContentDescription, setContentSensitivity, setContextClickable, setDefaultFocusHighlightEnabled, setDrawingCacheBackgroundColor, setDrawingCacheEnabled, setDrawingCacheQuality, setDuplicateParentStateEnabled, setElevation, setEnabled, setFadingEdgeLength, setFilterTouchesWhenObscured, setFitsSystemWindows, setFocusable, setFocusable, setFocusableInTouchMode, setFocusedByDefault, setForceDarkAllowed, setForeground, setForegroundGravity, setForegroundTintBlendMode, setForegroundTintList, setForegroundTintMode, setFrameContentVelocity, setHandwritingBoundsOffsets, setHandwritingDelegateFlags, setHandwritingDelegatorCallback, setHapticFeedbackEnabled, setHasTransientState, setHorizontalFadingEdgeEnabled, setHorizontalScrollBarEnabled, setHorizontalScrollbarThumbDrawable, setHorizontalScrollbarTrackDrawable, setHovered, setId, setImportantForAccessibility, setImportantForAutofill, setImportantForContentCapture, setIsCredential, setIsHandwritingDelegate, setKeepScreenOn, setKeyboardNavigationCluster, setLabelFor, setLayerPaint, setLayerType, setLayoutDirection, setLayoutParams, setLeft, setLeftTopRightBottom, setLongClickable, setMeasuredDimension, setMinimumHeight, setMinimumWidth, setNestedScrollingEnabled, setNextClusterForwardId, setNextFocusDownId, setNextFocusForwardId, setNextFocusLeftId, setNextFocusRightId, setNextFocusUpId, setOnApplyWindowInsetsListener, setOnCapturedPointerListener, setOnClickListener, setOnContextClickListener, setOnCreateContextMenuListener, setOnDragListener, setOnFocusChangeListener, setOnGenericMotionListener, setOnHoverListener, setOnKeyListener, setOnLongClickListener, setOnReceiveContentListener, setOnScrollChangeListener, setOnSystemUiVisibilityChangeListener, setOnTouchListener, setOutlineAmbientShadowColor, setOutlineProvider, setOutlineSpotShadowColor, setOverScrollMode, setPadding, setPaddingRelative, setPendingCredentialRequest, setPivotX, setPivotY, setPointerIcon, setPreferKeepClear, setPreferKeepClearRects, setPressed, setRenderEffect, setRequestedFrameRate, setRevealOnFocusHint, setRight, setRotation, setRotationX, setRotationY, setSaveEnabled, setSaveFromParentEnabled, setScaleX, setScaleY, setScreenReaderFocusable, setScrollBarDefaultDelayBeforeFade, setScrollBarFadeDuration, setScrollbarFadingEnabled, setScrollBarSize, setScrollBarStyle, setScrollCaptureCallback, setScrollCaptureHint, setScrollContainer, setScrollIndicators, setScrollIndicators, setScrollX, setScrollY, setSelected, setSoundEffectsEnabled, setStateDescription, setStateListAnimator, setSystemGestureExclusionRects, setSystemUiVisibility, setTag, setTag, setTextAlignment, setTextDirection, setTooltipText, setTop, setTouchDelegate, setTransitionAlpha, setTransitionName, setTransitionVisibility, setTranslationX, setTranslationY, setTranslationZ, setVerticalFadingEdgeEnabled, setVerticalScrollBarEnabled, setVerticalScrollbarPosition, setVerticalScrollbarThumbDrawable, setVerticalScrollbarTrackDrawable, setViewTranslationCallback, setWillNotCacheDrawing, setWillNotDraw, setWindowInsetsAnimationCallback, setX, setY, setZ, showContextMenu, showContextMenu, startActionMode, startActionMode, startAnimation, startDrag, startDragAndDrop, startNestedScroll, stopNestedScroll, toString, transformMatrixToGlobal, transformMatrixToLocal, unscheduleDrawable, unscheduleDrawable, updateDragShadow, verifyDrawable, willNotCacheDrawing, willNotDraw`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface io.flutter.plugin.common.BinaryMessenger

  `makeBackgroundTaskQueue`

  ### Methods inherited from interface io.flutter.plugin.mouse.MouseCursorPlugin.MouseCursorViewDelegate

  `setPointerIcon`

  ### Methods inherited from interface io.flutter.view.TextureRegistry

  `onTrimMemory`

- ## Constructor Details

  - ### FlutterView

    public FlutterView(Context context)
    Deprecated.

  - ### FlutterView

    public FlutterView(Context context, AttributeSet attrs)
    Deprecated.

  - ### FlutterView

    public FlutterView(Context context, AttributeSet attrs, FlutterNativeView nativeView)
    Deprecated.

- ## Method Details

  - ### getDartExecutor

    @NonNull public DartExecutor getDartExecutor()
    Deprecated.

  - ### dispatchKeyEvent

    public boolean dispatchKeyEvent(KeyEvent event)
    Deprecated.
    Overrides:
      `dispatchKeyEvent` in class `View`

  - ### getFlutterNativeView

    public FlutterNativeView getFlutterNativeView()
    Deprecated.

  - ### getPluginRegistry

    public FlutterPluginRegistry getPluginRegistry()
    Deprecated.

  - ### getLookupKeyForAsset

    public String getLookupKeyForAsset(String asset)
    Deprecated.

  - ### getLookupKeyForAsset

    public String getLookupKeyForAsset(String asset, String packageName)
    Deprecated.

  - ### addActivityLifecycleListener

    public void addActivityLifecycleListener(ActivityLifecycleListener listener)
    Deprecated.

  - ### onStart

    public void onStart()
    Deprecated.

  - ### onPause

    public void onPause()
    Deprecated.

  - ### onPostResume

    public void onPostResume()
    Deprecated.

  - ### onStop

    public void onStop()
    Deprecated.

  - ### onMemoryPressure

    public void onMemoryPressure()
    Deprecated.

  - ### hasRenderedFirstFrame

    public boolean hasRenderedFirstFrame()
    Deprecated.
    Returns true if the Flutter experience associated with this `FlutterView` has rendered its first frame, or false otherwise.

  - ### addFirstFrameListener

    public void addFirstFrameListener(FlutterView.FirstFrameListener listener)
    Deprecated.
    Provide a listener that will be called once when the FlutterView renders its first frame to the underlaying SurfaceView.

  - ### removeFirstFrameListener

    public void removeFirstFrameListener(FlutterView.FirstFrameListener listener)
    Deprecated.
    Remove an existing first frame listener.

  - ### enableBufferingIncomingMessages

    public void enableBufferingIncomingMessages()
    Deprecated.
    Description copied from interface: `BinaryMessenger`
    Enables the ability to queue messages received from Dart.

    This is useful when there are pending channel handler registrations. For example, Dart may be initialized concurrently, and prior to the registration of the channel handlers. This implies that Dart may start sending messages while plugins are being registered.

    Specified by:
      `enableBufferingIncomingMessages` in interface `BinaryMessenger`

  - ### disableBufferingIncomingMessages

    public void disableBufferingIncomingMessages()
    Deprecated.
    Description copied from interface: `BinaryMessenger`
    Disables the ability to queue messages received from Dart.

    This can be used after all pending channel handlers have been registered.

    Specified by:
      `disableBufferingIncomingMessages` in interface `BinaryMessenger`

  - ### disableTransparentBackground

    public void disableTransparentBackground()
    Deprecated.
    Reverts this back to the `SurfaceView` defaults, at the back of its window and opaque.

  - ### setInitialRoute

    public void setInitialRoute(String route)
    Deprecated.

  - ### pushRoute

    public void pushRoute(String route)
    Deprecated.

  - ### popRoute

    public void popRoute()
    Deprecated.

  - ### startBackGesture

    @RequiresApi(34) public void startBackGesture(@NonNull BackEvent backEvent)
    Deprecated.

  - ### updateBackGestureProgress

    @RequiresApi(34) public void updateBackGestureProgress(@NonNull BackEvent backEvent)
    Deprecated.

  - ### commitBackGesture

    @RequiresApi(34) public void commitBackGesture()
    Deprecated.

  - ### cancelBackGesture

    @RequiresApi(34) public void cancelBackGesture()
    Deprecated.

  - ### onConfigurationChanged

    protected void onConfigurationChanged(Configuration newConfig)
    Deprecated.
    Overrides:
      `onConfigurationChanged` in class `View`

  - ### detach

    public FlutterNativeView detach()
    Deprecated.

  - ### destroy

    public void destroy()
    Deprecated.

  - ### onCreateInputConnection

    public InputConnection onCreateInputConnection(EditorInfo outAttrs)
    Deprecated.
    Overrides:
      `onCreateInputConnection` in class `View`

  - ### checkInputConnectionProxy

    public boolean checkInputConnectionProxy(View view)
    Deprecated.
    Overrides:
      `checkInputConnectionProxy` in class `View`

  - ### onProvideAutofillVirtualStructure

    public void onProvideAutofillVirtualStructure(ViewStructure structure, int flags)
    Deprecated.
    Overrides:
      `onProvideAutofillVirtualStructure` in class `View`

  - ### autofill

    public void autofill(SparseArray<AutofillValue> values)
    Deprecated.
    Overrides:
      `autofill` in class `View`

  - ### onTouchEvent

    public boolean onTouchEvent(MotionEvent event)
    Deprecated.
    Overrides:
      `onTouchEvent` in class `View`

  - ### onHoverEvent

    public boolean onHoverEvent(MotionEvent event)
    Deprecated.
    Overrides:
      `onHoverEvent` in class `View`

  - ### onGenericMotionEvent

    public boolean onGenericMotionEvent(MotionEvent event)
    Deprecated.
    Invoked by Android when a generic motion event occurs, e.g., joystick movement, mouse hover, track pad touches, scroll wheel movements, etc.

    Flutter handles all of its own gesture detection and processing, therefore this method forwards all `MotionEvent` data from Android to Flutter.

    Overrides:
      `onGenericMotionEvent` in class `View`

  - ### onSizeChanged

    protected void onSizeChanged(int width, int height, int oldWidth, int oldHeight)
    Deprecated.
    Overrides:
      `onSizeChanged` in class `View`

  - ### onApplyWindowInsets

    public final WindowInsets onApplyWindowInsets(WindowInsets insets)
    Deprecated.
    Overrides:
      `onApplyWindowInsets` in class `View`

  - ### runFromBundle

    public void runFromBundle(FlutterRunArguments args)
    Deprecated.

  - ### getBitmap

    public Bitmap getBitmap()
    Deprecated.
    Return the most recent frame as a bitmap.
    Returns:
      A bitmap.

  - ### onFirstFrame

    public void onFirstFrame()
    Deprecated.

  - ### onAttachedToWindow

    protected void onAttachedToWindow()
    Deprecated.
    Overrides:
      `onAttachedToWindow` in class `SurfaceView`

  - ### onDetachedFromWindow

    protected void onDetachedFromWindow()
    Deprecated.
    Overrides:
      `onDetachedFromWindow` in class `SurfaceView`

  - ### getAccessibilityNodeProvider

    public AccessibilityNodeProvider getAccessibilityNodeProvider()
    Deprecated.
    Overrides:
      `getAccessibilityNodeProvider` in class `View`

  - ### getSystemPointerIcon

    @RequiresApi(24) @NonNull public PointerIcon getSystemPointerIcon(int type)
    Deprecated.
    Description copied from interface: `io.flutter.plugin.mouse.MouseCursorPlugin.MouseCursorViewDelegate`
    Gets a system pointer icon object for the given `type`.

    If typeis not recognized, returns the default pointer icon.

    This is typically implemented by calling `PointerIcon.getSystemIcon(android.content.Context, int)` with the context associated with this view.

    Specified by:
      `getSystemPointerIcon` in interface `io.flutter.plugin.mouse.MouseCursorPlugin.MouseCursorViewDelegate`

  - ### getBinaryMessenger

    public BinaryMessenger getBinaryMessenger()
    Deprecated.
    Description copied from interface: `KeyboardManager.ViewDelegate`
    Returns a `BinaryMessenger` to send platform messages with.
    Specified by:
      `getBinaryMessenger` in interface `KeyboardManager.ViewDelegate`

  - ### onTextInputKeyEvent

    public boolean onTextInputKeyEvent(@NonNull KeyEvent keyEvent)
    Deprecated.
    Description copied from interface: `KeyboardManager.ViewDelegate`
    Send a `KeyEvent` that is not handled by the keyboard responders to the text input system.
    Specified by:
      `onTextInputKeyEvent` in interface `KeyboardManager.ViewDelegate`
    Parameters:
      `keyEvent` - the `KeyEvent` that should be processed by the text input system. It must not be null.
    Returns:
      Whether the text input handles the key event.

  - ### redispatch

    public void redispatch(@NonNull KeyEvent keyEvent)
    Deprecated.
    Description copied from interface: `KeyboardManager.ViewDelegate`
    Send a `KeyEvent` that is not handled by Flutter back to the platform.
    Specified by:
      `redispatch` in interface `KeyboardManager.ViewDelegate`

  - ### makeBackgroundTaskQueue

    @UiThread public BinaryMessenger.TaskQueue makeBackgroundTaskQueue(BinaryMessenger.TaskQueueOptions options)
    Deprecated.
    Description copied from interface: `BinaryMessenger`
    Creates a TaskQueue that executes the tasks serially on a background thread.

    `BinaryMessenger.TaskQueueOptions` can be used to configure the task queue to execute tasks concurrently. Doing so can be more performant, though users need to ensure that the task handlers are thread-safe.

    Specified by:
      `makeBackgroundTaskQueue` in interface `BinaryMessenger`

  - ### send

    @UiThread public void send(String channel, ByteBuffer message)
    Deprecated.
    Description copied from interface: `BinaryMessenger`
    Sends a binary message to the Flutter application.
    Specified by:
      `send` in interface `BinaryMessenger`
    Parameters:
      `channel` - the name `String` of the logical channel used for the message.
      `message` - the message payload, a direct-allocated `ByteBuffer` with the message bytes between position zero and current position, or null.

  - ### send

    @UiThread public void send(String channel, ByteBuffer message, BinaryMessenger.BinaryReply callback)
    Deprecated.
    Description copied from interface: `BinaryMessenger`
    Sends a binary message to the Flutter application, optionally expecting a reply.

    Any uncaught exception thrown by the reply callback will be caught and logged.

    Specified by:
      `send` in interface `BinaryMessenger`
    Parameters:
      `channel` - the name `String` of the logical channel used for the message.
      `message` - the message payload, a direct-allocated `ByteBuffer` with the message bytes between position zero and current position, or null.
      `callback` - a `BinaryMessenger.BinaryReply` callback invoked when the Flutter application responds to the message, possibly null.

  - ### setMessageHandler

    @UiThread public void setMessageHandler(@NonNull String channel, @NonNull BinaryMessenger.BinaryMessageHandler handler)
    Deprecated.
    Description copied from interface: `BinaryMessenger`
    Registers a handler to be invoked when the Flutter application sends a message to its host platform.

    Registration overwrites any previous registration for the same channel name. Use a null handler to deregister.

    If no handler has been registered for a particular channel, any incoming message on that channel will be handled silently by sending a null reply.

    Specified by:
      `setMessageHandler` in interface `BinaryMessenger`
    Parameters:
      `channel` - the name `String` of the channel.
      `handler` - a `BinaryMessenger.BinaryMessageHandler` to be invoked on incoming messages, or null.

  - ### setMessageHandler

    @UiThread public void setMessageHandler(@NonNull String channel, @NonNull BinaryMessenger.BinaryMessageHandler handler, @NonNull BinaryMessenger.TaskQueue taskQueue)
    Deprecated.
    Description copied from interface: `BinaryMessenger`
    Registers a handler to be invoked when the Flutter application sends a message to its host platform.

    Registration overwrites any previous registration for the same channel name. Use a null handler to deregister.

    If no handler has been registered for a particular channel, any incoming message on that channel will be handled silently by sending a null reply.

    Specified by:
      `setMessageHandler` in interface `BinaryMessenger`
    Parameters:
      `channel` - the name `String` of the channel.
      `handler` - a `BinaryMessenger.BinaryMessageHandler` to be invoked on incoming messages, or null.
      `taskQueue` - a `BinaryMessenger.TaskQueue` that specifies what thread will execute the handler. Specifying null means execute on the platform thread.

  - ### createSurfaceTexture

    @NonNull public TextureRegistry.SurfaceTextureEntry createSurfaceTexture()
    Deprecated.
    Description copied from interface: `TextureRegistry`
    Creates and registers a SurfaceTexture managed by the Flutter engine.
    Specified by:
      `createSurfaceTexture` in interface `TextureRegistry`
    Returns:
      A SurfaceTextureEntry.

  - ### createImageTexture

    @NonNull public TextureRegistry.ImageTextureEntry createImageTexture()
    Deprecated.
    Description copied from interface: `TextureRegistry`
    Creates and registers a texture managed by the Flutter engine.
    Specified by:
      `createImageTexture` in interface `TextureRegistry`
    Returns:
      a ImageTextureEntry.

  - ### createSurfaceProducer

    @NonNull public TextureRegistry.SurfaceProducer createSurfaceProducer()
    Deprecated.
    Description copied from interface: `TextureRegistry`
    Creates and registers a SurfaceProducer texture managed by the Flutter engine.
    Specified by:
      `createSurfaceProducer` in interface `TextureRegistry`
    Returns:
      A SurfaceProducer.

  - ### registerSurfaceTexture

    @NonNull public TextureRegistry.SurfaceTextureEntry registerSurfaceTexture(@NonNull SurfaceTexture surfaceTexture)
    Deprecated.
    Description copied from interface: `TextureRegistry`
    Registers a SurfaceTexture managed by the Flutter engine.
    Specified by:
      `registerSurfaceTexture` in interface `TextureRegistry`
    Returns:
      A SurfaceTextureEntry.